package flightinspection

import "context"

type FlightInspectionService interface {
	CreateDraft(ctx context.Context, row *FlightInspection) error
	Update(ctx context.Context, row *FlightInspection) error
	GetByID(ctx context.Context, id []byte) (*FlightInspection, error)
	List(ctx context.Context, sort string, limit, offset int) ([]FlightInspection, int64, error)
}
